p {
  color: black !important;
  font-size: 40px;
}

a,
button {
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  text-decoration: none;
  color: inherit;
  cursor: pointer;
  text-decoration: none;
}
a:hover,
button:hover {
  text-decoration: none !important;
}
a:focus,
button:focus {
  outline: none !important;
  outline-offset: 0 !important;
}

/* Estilos del menú */

.logo-menu {
  max-width: 180px;
  padding: 10px;
}
.menuLeft .links-menu .optionMenu {
  background-color: transparent;
  min-height: 40px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  color: black;
  width: auto;
  padding: 0 10px 0 17px;
  font-weight: bold;
}
.menuLeft .links-menu .optionMenu,
.menuLeft .links-menu .optionMenu span {
  font-size: 16px !important;
  position: relative;
  color: white;
}
.menuLeft .links-menu .optionMenu span {
  opacity: 0;
  visibility: hidden;
  width: 0;
  transition: all 0.3s ease-in-out;
}

.menuLeft .links-submenu .optionSubMenu {
  background-color: transparent;
  min-height: 40px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  color: black;
  width: auto;
  padding: 0 10px 0 17px;
}
.menuLeft .links-submenu .optionSubMenu,
.menuLeft .links-submenu .optionSubMenu span {
  font-size: 16px !important;
  position: relative;
  color: white !important;
}
.menuLeft .links-submenu .optionSubMenu span {
  opacity: 0;
  visibility: hidden;
  width: 0;
  transition: all 0.3s ease-in-out;
}

app-root[aria-hidden="true"] .left:hover
  .main-hamburguesa
  .contentHamburgerMenu
  .menuLeft
  .links-menu
  li
  .optionMenu
  span,
app-root[aria-hidden="true"] .left:hover
  .main-hamburguesa
  .contentHamburgerMenu
  .menuLeft
  .links-menu
  li
  .optionMenu
  .icon-arrow,
app-root[aria-hidden="true"] .left:hover
  .main-hamburguesa
  .contentHamburgerMenu
  .menuLeft
  .links-submenu
  li
  .optionSubMenu
  .icon-arrow,
app-root[aria-hidden="true"] .left:hover
  .main-hamburguesa
  .contentHamburgerMenu
  .menuLeft
  .footer {
  opacity: 0;
  visibility: hidden;
  width: 0;
  transition: all 0.3s ease-in-out;
}

.left:hover
  .main-hamburguesa
  .contentHamburgerMenu
  .menuLeft
  .links-menu
  li
  .optionMenu
  span,
.left:hover
  .main-hamburguesa
  .contentHamburgerMenu
  .menuLeft
  .links-menu
  li
  .optionMenu
  .icon-arrow,
  .left:hover
  .main-hamburguesa
  .contentHamburgerMenu
  .menuLeft
  .links-submenu
  li
  .optionSubMenu
  .icon-arrow,
.left:hover .main-hamburguesa .contentHamburgerMenu .menuLeft .footer {
  opacity: 1;
  visibility: visible;
  width: 100%;
  transition: all 1s ease-in-out;
}
.menuLeft .links-menu .optionMenu.open .icon-arrow {
  transform: rotate(90deg);
  transition: all 0.2s ease-in-out;
}
.menuLeft .links-menu .optionMenu .icon-arrow {
  position: absolute;
  opacity: 0;
  visibility: hidden;
  right: 10px;
  max-width: 17px;
  top: 13px;
}

.menuLeft .links-submenu .optionSubMenu.open .icon-arrow {
  transform: rotate(90deg);
  transition: all 0.2s ease-in-out;
}
.menuLeft .links-submenu .optionSubMenu .icon-arrow {
  position: absolute;
  opacity: 0;
  visibility: hidden;
  right: 10px;
  max-width: 17px;
  top: 13px;
}

.menuLeft .links-menu .optionMenu .icon-menu {
  transition: all 0.3s ease-in-out;
  max-width: 24px !important;
  margin-right: 5px !important;
}

.menuLeft .links-submenu .optionSubMenu .icon-menu {
  transition: all 0.3s ease-in-out;
  max-width: 24px !important;
  margin-right: 5px !important;
}


.menuLeft .links-menu .links-submenu {
  max-height: 0;
  transition: all 0.3s ease-in-out;
  overflow: auto;
  overflow-x: hidden;
  background: rgba(75, 166, 234, 0.1);
  border-radius: 5px;
}

.menuLeft .links-menu .links-submenu.open {
  max-height: 500px;
}

/* Personalización del scrollbar */
.menuLeft .links-menu .links-submenu::-webkit-scrollbar {
  width: 6px;
}

.menuLeft .links-menu .links-submenu::-webkit-scrollbar-thumb {
  background: #4ba6ea;
  border-radius: 5px;
}

.menuLeft .links-menu .links-submenu::-webkit-scrollbar-thumb:hover {
  background: darken(#4ba6ea, 10%);
}

.logo-menu {
  margin: 0 auto;
}

/* Incio de estilos para el navigation.component */

#header {
  background: white;
  min-height: 70px;
  border: none;
  border-radius: 0;
  margin: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* border-bottom: 1px solid rgba(0, 0, 0, 0.6); */
  box-shadow: 0 2px 4px -1px rgba(57, 76, 96, .15);
}

#header .container-fluid {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 95%;
  margin: 0 auto;
  padding: 0 15px;
}

#header .container-fluid:before {
  display: none;
}

#header .container-fluid:after {
  display: none;
}

#header .navbar-header {
  float: none;
}

#header .navbar-header .logos {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  margin-left: 40px;
}

#header .navbar-header .logos .logoIndex {
  display: block;
}

#header .navbar-header .logos .logoIndex:last-child img {
  max-width: 200px;
}

#header .navbar-header .logos .logoIndex img {
  display: block;
  max-width: 160px;
}

#header .navbar-collapse .navbar-nav {
  display: flex;
  justify-content: center;
  align-items: center;
}

#header .navbar-collapse .navbar-nav:before {
  display: none;
}

#header .navbar-collapse .navbar-nav:after {
  display: none;
}

#header .navbar-collapse .navbar-nav li {
  float: inherit;
  margin: 0 30px 0 0;
  list-style-type: none;
}

#header .navbar-collapse .navbar-nav li p {
  padding: 10px 0;
  color: white;
  line-height: 1.3;
}

#header .navbar-collapse .navbar-nav li a {
  color: black;
  line-height: 1.3;
  position: relative;
  padding: 10px 0;
  cursor: pointer !important;
}

#header .navbar-collapse .navbar-nav li a:after {
  width: 0%;
  content: "";
  background: black;
  height: 2px;
  position: absolute;
  left: 0;
  bottom: 0;
  transition: all 0.3s ease-in-out;
}
#header .navbar-collapse .navbar-nav li:first-child a:after {
  display: none;
}

#header .navbar-collapse .navbar-nav li a:hover:after {
  width: 100%;
}  

.content {
  max-width: 900px;
  padding: 0 15px;
  width: 100%;
  display: block;
  position: relative;
  margin: 0 auto;
}

.contentGral {
  padding: 20px 0;
}

.contentGral .breadcrumbs {
  margin: 0 0 20px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.contentGral .breadcrumbs a {
  display: block;
  /* font-weight: bold; */
  font-size: 14px;
  margin: 0 30px 0 0;
  color: #424242;
  cursor: pointer !important;
  position: relative;
}

.contentGral .breadcrumbs a:before {
  width: 0;
  content: "";
  background: #424242;
  height: 2px;
  position: absolute;
  left: 0;
  bottom: 0;
  transition: all 0.3s ease-in-out;
}

.contentGral .breadcrumbs a:hover {
  text-decoration: none;
}

.contentGral .breadcrumbs a:hover:before {
  width: 100%;
}

.contentGral .breadcrumbs a:after {
  content: "";
  background: url("../images/chevron-right.png");
  background-size: cover;
  background-repeat: no-repeat;
  width: 8px;
  height: 14px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: -18px;
}

.contentGral .breadcrumbs a.active:after {
  display: none;
}

.contentGral .logo {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 0 40px;
}

.contentGral .logo img {
  display: block;
  max-width: 200px;
}

/* Fin de estilos para el navigation.component */

/* Inicios de estilos para el footer.component */

.footer {
  position: absolute;
  bottom: 10px;
  padding: 0 15px;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease-in-out;
  width: 100%;
}

.footer p {
  font-size: 11px;
  text-align: center;
  font-weight: bold;
  color: white !important;
}

/* Fin de estilos para el footer.component */

.toast-container .toast-success {
  background-color: #50c281 !important;
}

.toast-container .toast-info {
  background-color: #4ba6ea !important;
}

.toast-container .toast-warning {
  background-color: #eac55b !important;
}

.toast-container .toast-error {
  background-color: #dc2626 !important;
}

.toast-container .ngx-toastr {
  width: 320px !important;
  height: 105px !important;
}

.toast-container .ngx-toastr .toast-close-button {
  top: -18px !important;
  right: -4px !important;
  font-weight: 300;
  font-size: 30px;
}

.spinner-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2000;
  color: white;
}

/* Search */

.mat-mdc-text-field-wrapper {
  background-color: transparent !important;
}
.mat-mdc-form-field-focus-overlay {
  display: none;
}
.mdc-text-field--filled:not(.mdc-text-field--disabled) .mdc-line-ripple::after {
  border-bottom-color: #3a3a3a !important;
}

/* Tabla clientes */
.mat-mdc-header-cell {
  border-bottom-color: rgba(0, 0, 0, 1) !important;
}

/* Selecciona el mat-icon dentro del estado 'edit' y reemplaza el contenido */
.mat-step-icon.mat-step-icon-state-edit mat-icon {
  display: none !important; /* Oculta el ícono original */
}

.mat-step-icon.mat-step-icon-state-edit::after {
  content: "✔" !important; /* Aquí estamos añadiendo el símbolo de verificación */
  font-family: "Material Icons" !important; /* Asegúrate de que la fuente Material Icons esté disponible */
  font-size: 17px !important; /* Ajusta el tamaño a 17px */
  display: flex !important;
  justify-content: center !important; /* Centra el contenido */
}

.container-import-button {
  display: flex;
  justify-content: start;
  margin-bottom: 40px;
  margin-top: 20px;
}
.container-import-button .import-button {
  background-color: #28a745 !important; 
  color: white !important; 
  display: flex;
  align-items: center;
  gap: 8px; 
  padding: 8px 16px;
  border-radius: 4px;
  border: 0;
}

.container-import-button .import-button:hover {
  filter: brightness(0.85);
}

.import-icon {
  width: 24px;
  height: 24px;
  color: #ffffff;
}

.icon-frame-entry {
  width: 24px;
  height: 24px;
  filter: invert(1);
}
.container-btn-add-frame-view-detail {
  display: flex;
  justify-content: end;
  margin-bottom: 30px;
}

.btn-add-frame-view-detail {
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: black;
  border-radius: 5px;
  border: 1px solid black;
  color: white;
  width: auto;
  padding: 0 15px;
  line-height: 1;
  right: 30px;
}

.btn-add-frame-view-detail:hover {
  background-color: white;
  color: black;
}

.icon-frame-view-detail {
  width: 24px;
  height: 24px;
  filter: invert(1);
}

.btn-add-frame-view-detail:hover .icon-frame-view-detail {
  filter: invert(0);
}

.disabled-row {
  opacity: 0.5;
  pointer-events: none; /* opcional para bloquear interacciones */
}

.text-danger {
  color: red !important;
}

.content-add-dynamic-form-dialog.custom-dialog-frame-entry-record
  .container-add-dynamic-form-dialog
  .add-dynamic-form
  .fields
  .fields-group
  .mat-mdc-form-field:nth-of-type(2)
  .mat-mdc-text-field-wrapper
  .mat-mdc-form-field-flex
  .mat-mdc-form-field-infix {
  height: 90px !important;
}

.summary mat-label {
  font-size: 13px;
}

.summary input {
  font-size: 18px !important;
}

.mat-step-icon-state-edit {
  background-color: #4caf50 !important;
}

.mat-expansion-panel {
  border: 2px solid #c6c6c6 !important;
  border-radius: 4px !important;
  box-shadow: none !important;
}


.mat-stepper-previous,
.mat-stepper-next {
  font-size: 16px !important;
}
